class TagsController < ApplicationController

  # GET /:username/tags
  # GET /:username/tags.xml
  def index
    @tags = Tag.find_by_user_name(params[:username])
    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @tags }
    end
  end

  # GET /:username/tags/1
  # GET /:username/tags/1.xml
  def show
    @tag = Tag.find(params[:id])
    @links = Link.find_by_user_name_and_tag_id(params[:username], @tag.id)
    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @tag }
    end
  end

end
