ActionController::Routing::Routes.draw do |map|

  map.home '', :controller => 'sessions', :action => 'destroy'
#  map.resources :users, :has_many => [:links, :tags]
  map.resources :links , :path_prefix => '/:username', :member => {:hide => :put}
  map.resources :tags , :path_prefix => '/:username'
  map.resource :session
  map.login    'login',         :controller => 'sessions', :action => 'new'
  map.logout   'logout',        :controller => 'sessions', :action => 'destroy'
  map.test     'test',          :controller => 'tests', :action=> 'test' 
end
